SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


CREATE TABLE IF NOT EXISTS `asset` (
  `bar_code` int(4) DEFAULT NULL,
  `name` varchar(25) DEFAULT NULL,
  `creation_date` varchar(19) DEFAULT NULL,
  `serial` varchar(30) DEFAULT NULL,
  `model` varchar(35) DEFAULT NULL,
  `brand` varchar(25) DEFAULT NULL,
  `owner` varchar(25) DEFAULT NULL,
  `form` varchar(15) DEFAULT NULL,
  `use1` varchar(15) DEFAULT NULL,
  `notes` text,
  `os` varchar(25) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `co_status` tinyint(1) NOT NULL,
  `produkey` varchar(29) NOT NULL,
  `createdby` varchar(19) NOT NULL,
  `updatetime` varchar(19) NOT NULL,
  `updateby` varchar(19) NOT NULL,
  `vendor` varchar(25) NOT NULL,
  `funding` varchar(25) NOT NULL,
  `cost` varchar(10) NOT NULL,
  `custom1` varchar(255) NOT NULL,
  `custom2` varchar(255) NOT NULL,
  UNIQUE KEY `serial` (`serial`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `asset_retired` (
  `bar_code` int(4) DEFAULT NULL,
  `name` varchar(25) DEFAULT NULL,
  `creation_date` varchar(19) DEFAULT NULL,
  `serial` varchar(30) DEFAULT NULL,
  `model` varchar(35) DEFAULT NULL,
  `brand` varchar(25) DEFAULT NULL,
  `owner` varchar(25) DEFAULT NULL,
  `form` varchar(15) DEFAULT NULL,
  `use1` varchar(15) DEFAULT NULL,
  `notes` text,
  `os` varchar(25) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `co_status` tinyint(1) NOT NULL,
  `produkey` varchar(29) NOT NULL,
  `createdby` varchar(19) NOT NULL,
  `updatetime` varchar(19) NOT NULL,
  `updateby` varchar(19) NOT NULL,
  `vendor` varchar(25) NOT NULL,
  `funding` varchar(25) NOT NULL,
  `cost` varchar(10) NOT NULL,
  `custom1` varchar(255) NOT NULL,
  `custom2` varchar(255) NOT NULL,
  UNIQUE KEY `serial` (`serial`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `building` (
  `name` varchar(25) NOT NULL,
  `number` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`number`),
  KEY `number` (`number`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=35 ;



CREATE TABLE IF NOT EXISTS `disposed` (
  `bar_code` int(4) DEFAULT NULL,
  `name` varchar(25) DEFAULT NULL,
  `creation_date` varchar(19) DEFAULT NULL,
  `serial` varchar(30) DEFAULT NULL,
  `model` varchar(35) DEFAULT NULL,
  `brand` varchar(25) DEFAULT NULL,
  `owner` varchar(25) DEFAULT NULL,
  `form` varchar(15) DEFAULT NULL,
  `use1` varchar(15) DEFAULT NULL,
  `notes` text,
  `os` varchar(25) DEFAULT NULL,
  `pdate` date DEFAULT NULL,
  `co_status` tinyint(1) NOT NULL,
  `produkey` varchar(29) NOT NULL,
  `createdby` varchar(19) NOT NULL,
  `updatetime` varchar(19) NOT NULL,
  `updateby` varchar(19) NOT NULL,
  `vendor` varchar(25) NOT NULL,
  `funding` varchar(25) NOT NULL,
  `cost` varchar(10) NOT NULL,
  `ddate` date NOT NULL,
  `custom1` varchar(255) NOT NULL,
  `custom2` varchar(255) NOT NULL,
  `dreason` varchar(55) NOT NULL,
  UNIQUE KEY `serial` (`serial`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `images` (
  `index` int(11) NOT NULL AUTO_INCREMENT,
  `serial` varchar(30) NOT NULL,
  `imagename` varchar(60) NOT NULL,
  PRIMARY KEY (`index`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `members` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(70) NOT NULL,
  `password` varchar(255) NOT NULL,
  `ro` int(4) NOT NULL,
  `createdby` varchar(25) NOT NULL,
  `salt` varchar(255) NOT NULL,
  `sadmin` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;


INSERT INTO `members` (`id`, `username`, `password`, `ro`, `createdby`, `salt`, `sadmin`) VALUES
(1, 'admin', 'a1fae0d355700d2de0372601e939f071ada23b8a2661c555ef658576e6bfbb03e1bcaf0d42f3332e2cefdd9e10d527952706bb850f99a207f2f90f2683a13b42', 0, '', 'eMcp345X1znkXGv91no12VX1kxzvHF2WgF7Nm0Y812s=','1');



CREATE TABLE IF NOT EXISTS `member_prefs` (
  `id` int(4) NOT NULL,
  `rpp` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `bar_code` tinyint(1) NOT NULL,
  `name` tinyint(1) NOT NULL,
  `serial` tinyint(1) NOT NULL,
  `age` tinyint(1) NOT NULL,
  `model` tinyint(1) NOT NULL,
  `brand` tinyint(1) NOT NULL,
  `owner` tinyint(1) NOT NULL,
  `form` tinyint(1) NOT NULL,
  `use1` tinyint(1) NOT NULL,
  `co_location` tinyint(1) NOT NULL,
  `pdate` tinyint(1) NOT NULL,
  `images` tinyint(1) NOT NULL,
  `os` tinyint(1) NOT NULL,
  `co_status` tinyint(1) NOT NULL,
  `produkey` tinyint(1) NOT NULL,
  `notes` tinyint(1) NOT NULL,
  `createdby` tinyint(1) NOT NULL,
  `creation_date` tinyint(1) NOT NULL,
  `updatetime` tinyint(1) NOT NULL,
  `updateby` tinyint(1) NOT NULL,
  `vendor` tinyint(1) NOT NULL,
  `funding` tinyint(1) NOT NULL,
  `cost` tinyint(1) NOT NULL,
  `co_building` tinyint(1) NOT NULL,
  `custom1` tinyint(1) NOT NULL,
  `custom2` tinyint(1) NOT NULL,
  `menup` tinyint(1) NOT NULL,
  `co_user` tinyint(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `member_prefs` (`id`, `rpp`, `bar_code`, `name`, `serial`, `age`, `model`, `brand`, `owner`, `form`, `use1`, `co_location`, `pdate`, `images`, `os`, `co_status`, `produkey`, `notes`, `createdby`, `creation_date`, `updatetime`, `updateby`, `vendor`, `funding`, `cost`, `co_building`, `custom1`, `custom2`, `menup`, `co_user`) VALUES
(1, '250', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 1, 0, 0, 0, 0, 0, 0, 0, 1, 0, 0, 0, 1);



CREATE TABLE IF NOT EXISTS `multisearch` (
  `f_name` varchar(25) NOT NULL,
  `msn` int(11) NOT NULL,
  `t1` varchar(25) NOT NULL,
  `t2` varchar(25) NOT NULL,
  `t3` varchar(25) NOT NULL,
  `t4` varchar(25) NOT NULL,
  `t5` varchar(25) NOT NULL,
  `s1` varchar(25) NOT NULL,
  `s2` varchar(25) NOT NULL,
  `s3` varchar(25) NOT NULL,
  `s4` varchar(25) NOT NULL,
  `s5` varchar(25) NOT NULL,
  `con1` varchar(5) NOT NULL,
  `con2` varchar(5) NOT NULL,
  `con3` varchar(5) NOT NULL,
  UNIQUE KEY `f_name` (`f_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `room`
--

CREATE TABLE IF NOT EXISTS `room` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `roomnumber` varchar(10) NOT NULL,
  `building` varchar(4) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id` (`id`),
  UNIQUE KEY `roombuilding` (`roomnumber`,`building`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

ALTER TABLE `room` CHANGE `roomnumber` `roomnumber` VARCHAR( 30 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;

-- --------------------------------------------------------

--
-- Table structure for table `searches`
--

CREATE TABLE IF NOT EXISTS `searches` (
  `f_name` varchar(25) NOT NULL,
  `name` varchar(25) NOT NULL,
  `type` varchar(25) NOT NULL,
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `f_name` (`f_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO `searches` (`f_name`, `name`, `type`) VALUES
('Not Checked Out', '"0"', 'co_status'),
('Checked Out', '1', 'co_status');

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `dbversion` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  UNIQUE KEY `dbversion` (`dbversion`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `settings` (`dbversion`) VALUES ('R5');

-- --------------------------------------------------------

--
-- Table structure for table `tracker`
--

CREATE TABLE IF NOT EXISTS `tracker` (
  `name` varchar(25) NOT NULL,
  `serial` varchar(30) NOT NULL,
  `user` varchar(25) NOT NULL,
  `codate` date NOT NULL,
  `cidate` date NOT NULL,
  `creation_date` varchar(19) NOT NULL,
  `location` varchar(25) NOT NULL,
  `co_complete` tinyint(1) NOT NULL,
  `building` int(10) NOT NULL,
  `cond_out` varchar(255) NOT NULL,
  `cond_in` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `uname` varchar(25) NOT NULL,
  `uroom` varchar(25) NOT NULL,
  UNIQUE KEY `uname` (`uname`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
